Bug 170438 - Switching to text console while logging out from X session freezes X/console
Switching to text console while logging out from X session freezes X/console
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 14:44 EDT by pemmes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 19:42:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pemmes 2005-10-11 14:44:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
Switching to text console while logging out from X session freezes X/console.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.FC3.45.2

How reproducible:
Always

Steps to Reproduce:
1. Log into X session (I'm using KDE).
2. Logout from X session.
3. Press Cntrl+Alt+F1 to switch to text console immediately after logging out from X session before X login dialog appears.

Actual Results:  X/console freezes, computer doesn't respond to any keys.

Expected Results:  Either text console or X login appears, computer responds to keys.

Additional info:

List of installed xorg packages:

xorg-x11-Mesa-libGLU-6.8.2-1.FC3.45.2
xorg-x11-tools-6.8.2-1.FC3.45.2
fonts-xorg-base-6.8.2-0.FC3.1
xorg-x11-xfs-6.8.2-1.FC3.45.2
xorg-x11-libs-6.8.2-1.FC3.45.2
xorg-x11-xauth-6.8.2-1.FC3.45.2
xorg-x11-deprecated-libs-6.8.2-1.FC3.45.2
fonts-xorg-100dpi-6.8.2-0.FC3.1
fonts-xorg-75dpi-6.8.2-0.FC3.1
xorg-x11-deprecated-libs-devel-6.8.2-1.FC3.45.2
xorg-x11-font-utils-6.8.2-1.FC3.45.2
xorg-x11-devel-6.8.2-1.FC3.45.2
xorg-x11-twm-6.8.2-1.FC3.45.2
xorg-x11-6.8.2-1.FC3.45.2
xorg-x11-Mesa-libGL-6.8.2-1.FC3.45.2
xorg-x11-xdm-6.8.2-1.FC3.45.2

My machine is a AMD Athlon(tm) XP 1800+ with a Matrox G550 videocard. This bug has occurred on this machine since Redhat Linux 6.2 from time to time (to reproduce the bug, timing the switch to text console after logging out from X is crucial).

This is annoying because there seems to be no method to return to normal operation when the bug occurs except resetting the pc.
Comment 1 Mike A. Harris 2006-01-17 19:42:20 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.